#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hslua-packaging
version:              2.3.1
visibility:           public
id:                   hslua-packaging-2.3.1-Brez1x1EhaY9kkO6ujr0WK
key:                  hslua-packaging-2.3.1-Brez1x1EhaY9kkO6ujr0WK
license:              MIT
copyright:            © 2019-2024 Albert Krewinkel
maintainer:           tarleb@hslua.org
author:               Albert Krewinkel
homepage:             https://hslua.org/
synopsis:             Utilities to build Lua modules.
description:
    Utilities to package up Haskell functions and
    values into a Lua module.

    This package is part of HsLua, a Haskell framework
    built around the embeddable scripting language
    <https://lua.org Lua>.

category:             Foreign
abi:                  21ad332f6a49085460d4f9fcd5db1634
exposed:              True
exposed-modules:
    HsLua.Packaging HsLua.Packaging.Convenience
    HsLua.Packaging.Documentation HsLua.Packaging.Function
    HsLua.Packaging.Module HsLua.Packaging.Rendering
    HsLua.Packaging.Types HsLua.Packaging.UDType

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hslua-packaging-2.3.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hslua-packaging-2.3.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hslua-packaging-2.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua-packaging
hs-libraries:         HShslua-packaging-2.3.1-Brez1x1EhaY9kkO6ujr0WK
depends:
    base-4.17.2.1 containers-0.6.7
    hslua-core-2.3.1-LKBhMG43o43ArPiwddAC0E
    hslua-marshalling-2.3.1-Dzz5mdCLVTu4vshMxxTfvn
    hslua-objectorientation-2.3.0-AN15jfMC0Nb19bYvs7razK
    hslua-typing-0.1.1-2oQ7Kf5H2bnERE1HZHWR30 mtl-2.2.2 text-2.0.2

haddock-interfaces:
    /usr/share/doc/haskell-hslua-packaging/html/hslua-packaging.haddock

haddock-html:         /usr/share/doc/haskell-hslua-packaging/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

